> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loopreturns.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Return Deep Link with QR Code

> Generate a link to a QR code image file that,
when scanned, will take the user directly to their order in Loop so
they can initiate a return without requiring them to enter their order information.

The deep link URL is also returned. If `type` is not included in the request, or is a non-supported format, a
`png` will be returned.

### Required API key scope
- Orders




## OpenAPI

````yaml post /order/qr
openapi: 3.1.0
info:
  title: Returns API
  version: v1
  description: API used for performing operations on returns.
servers:
  - url: https://api.loopreturns.com/api/v1
security: []
tags:
  - name: Return Actions
  - name: Return Data
paths:
  /order/qr:
    post:
      tags:
        - Return Actions
      summary: Create Return Deep Link with QR Code
      description: >
        Generate a link to a QR code image file that,

        when scanned, will take the user directly to their order in Loop so

        they can initiate a return without requiring them to enter their order
        information.


        The deep link URL is also returned. If `type` is not included in the
        request, or is a non-supported format, a

        `png` will be returned.


        ### Required API key scope

        - Orders
      operationId: createReturnDeepLinkWithQrCode
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/QrCreationRequest'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QrCreationResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestWithErrorCode'
        '401':
          $ref: '#/components/responses/Unauthorized'
      security:
        - api_key: []
components:
  schemas:
    QrCreationRequest:
      type: object
      required:
        - name
        - zip
      properties:
        name:
          type: string
          examples:
            - Shopify Order Name
        zip:
          type: string
          examples:
            - '43215'
        gift:
          type: boolean
          examples:
            - false
        type:
          type: string
          enum:
            - png
            - eps
            - svg
          examples:
            - png
        size:
          type: integer
          examples:
            - 250
    QrCreationResponse:
      type: object
      properties:
        qr:
          type: string
          examples:
            - https://api.loopreturns.com/api/v1/qr/i/example-uuid-for-qr-image
        deeplink_url:
          type: string
          examples:
            - https://test-shop.loopreturns.com/#/link/examp1e-uu1d-h3r3
    BadRequestWithErrorCode:
      type: object
      properties:
        errors:
          type: array
          items:
            type: string
          examples:
            - - '["errorCode1"]'
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    examples:
                      - '401'
                  http_code:
                    type: string
                    examples:
                      - GEN-UNAUTHORIZED
                  message:
                    type: string
                    examples:
                      - Unauthorized.
  securitySchemes:
    api_key:
      type: apiKey
      name: X-Authorization
      in: header

````